Delete an agent binary download source

Base URL
https://{kibana_url}
  • DELETE /api/fleet/agent_download_sources/{sourceId}
Auth

Delete an agent binary download source by ID.

Required authorization

Privileges fleet-settings-all

Path parameters

sourceId string required

The ID of the download source

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Responses

Successful response

application/json
id string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
404

Not Found

application/json
Base URL
https://{kibana_url}